Page MenuHomeFreeBSD

devel/py3-wrapt: new Python 3 slave port of devel/py-wrapt
AbandonedPublic

Authored by philip on Oct 13 2017, 2:27 PM.

Details

Reviewers
koobs
Group Reviewers
Python
portmgr
Summary

This new py3-* slave port is needed as a dependency of devel/py3-threema-msgapi.
A hook prevents me from adding new py3-* ports without portmgr approval.

Proposed commit message:

devel/py3-wrapt: Python 3 slave port of devel/py-wrapt

Approved by: portmgr
Differential_Revision: https://reviews.freebsd.org/D12657
Test Plan

Poudriere tested on 10amd64, 11amd64 and 12amd64. Build-tested with the
updated devel/py3-threema-msgapi port

portlint gives the usual errors for slave ports (no surprises).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12029
Build 12341: arc lint + arc unit

Event Timeline

philip created this revision.Oct 13 2017, 2:27 PM
philip edited the summary of this revision. (Show Details)Oct 13 2017, 2:32 PM
philip edited the test plan for this revision. (Show Details)
philip added 1 blocking reviewer(s): portmgr.

FYI, @mat is working on python flavor support (D12464).

Yeah. FLAVORS would probably make this problem go away. Meanwhile, the version of py3-threema-msgapi is subtly broken though, so I'd really like to update it to the latest version (which depends on wrapt (and also logbook, which I still need to submit a request for)).

lwhsu added a subscriber: lwhsu.Dec 1 2017, 3:24 PM

D12464 is committed so I guess we don't need this patch, right?

philip abandoned this revision.Dec 2 2017, 9:37 AM

Correct. This is overtaken by events.